View a markdown version of this page

StopStream - Amazon IVS

StopStream

Disconnects the incoming RTMPS stream for the specified channel. Can be used in conjunction with DeleteStreamKey to prevent further streaming to a channel.

Note

Many streaming client-software libraries automatically reconnect a dropped RTMPS session, so to stop the stream permanently, you may want to first revoke the streamKey attached to the channel.

Request Syntax

POST /StopStream HTTP/1.1 Content-type: application/json { "channelArn": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

channelArn

ARN of the channel for which the stream is to be stopped.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: arn:aws:ivs:[a-z0-9-]+:[0-9]+:channel/[a-zA-Z0-9-]+

Required: Yes

Response Syntax

HTTP/1.1 200

Response Elements

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

User does not have sufficient access to perform this action.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 403

ChannelNotBroadcasting

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

The stream is offline for the given channel ARN.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 404

ResourceNotFoundException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

Request references a resource which does not exist.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 404

StreamUnavailable

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

The stream is temporarily unavailable.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 503

ValidationException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

The input fails to satisfy the constraints specified by an AWS service.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: